Option Explicit On 

Imports System
Imports NUnit.Framework

Public Class RugbyTests
    Inherits TestCase
    Private O As Rugby.Rugby

    Public Sub New(ByVal name As String)
        MyBase.New(name)
    End Sub

    Protected Overrides Sub SetUp()
        O = New Rugby.Rugby()

    End Sub

    Shared ReadOnly Property Suite() As ITest
        Get
            Suite = New TestSuite(GetType(RugbyTests))
        End Get
    End Property


    Public Sub TestSetUSCountry()

        O.Team = "USA"

        Assert("Failed to set USA as country!", O.Team = "USA")

    End Sub

    Public Sub TestGamesPlayedUSA()


        o.Team = "USA"

        AssertEquals("Failed TestGamesPlayedUSA()", 2, o.GamesPlayed())

    End Sub

    Public Sub TestTimesBeatEngland()


        o.Team = "England"

        AssertEquals("Failed TestTimesBeatEngland()", 18, o.NumberOfTimesBeat())

    End Sub

    Public Sub TestTimesEnglandBeatNZ()


        o.Team = "England"

        AssertEquals("Failed TestTimesEnglandBeatNZ()", 4, o.NumberOfTimesBeatNZ())

    End Sub

    Public Sub TestTimesScotlandBeatNZ()

        System.Console.Write("Running TestTimesScotlandBeatNZ()")

        o.Team = "Scotland"

        AssertEquals("Failed TestTimesScotlandBeatNZ()", 0, o.NumberOfTimesBeatNZ())

    End Sub

    Public Sub TestPlayUSA()

        O.Team = "USA"

        AssertEquals("Failed TestPlayUSA()", "No chance!", O.Play())

    End Sub

End Class
